MWAWGraphicStyle::Arrow Struct Reference documentation

MWAWGraphicStyle::Arrow Struct Reference

a structure used to define an arrow More...

`#include <MWAWGraphicStyle.hxx>`

## Public Member Functions
| Arrow ()
| constructor ( no arrow)
| Arrow (float w, MWAWBox2i const &box, std::string const &path, bool centered=false)
| constructor
bool | operator== (Arrow const &arrow) const
| operator==
bool | operator!= (Arrow const &arrow) const
| operator!=
bool | operator< (Arrow const &arrow) const
| operator<
bool | operator<= (Arrow const &arrow) const
| operator<=
bool | operator> (Arrow const &arrow) const
| operator>
bool | operator>= (Arrow const &arrow) const
| operator>=
bool | isEmpty () const
| returns true if there is no arrow
void | addTo (librevenge::RVNGPropertyList &propList, std::string const &type) const
| add a arrow to the propList knowing the type (start, end)

## Static Public Member Functions
static Arrow | plain ()
| returns a basic plain arrow

## Public Attributes
MWAWBox2i | m_viewBox
| the arrow viewbox
std::string | m_path
| the arrow path
float | m_width
| the arrow width in point
bool | m_isCentered
| flag to know if the arrow is centered

## Friends
std::ostream & | operator<< (std::ostream &o, Arrow const &arrow)
| operator<<

## Detailed Description

a structure used to define an arrow

## Constructor & Destructor Documentation

## ◆ Arrow() [1/2]

MWAWGraphicStyle::Arrow::Arrow | ( |  | ) |
| inline

constructor ( no arrow)

Referenced by operator!=(), operator<(), operator<<, operator<=(), operator==(), operator>(), operator>=(), and plain().

## ◆ Arrow() [2/2]

MWAWGraphicStyle::Arrow::Arrow | ( | float | w,
|  | MWAWBox2i const & | box,
|  | std::string const & | path,
|  | bool | centered = false )
| inline

constructor

## Member Function Documentation

## ◆ addTo()

void MWAWGraphicStyle::Arrow::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string const & | type ) const

add a arrow to the propList knowing the type (start, end)

## ◆ isEmpty()

bool MWAWGraphicStyle::Arrow::isEmpty | ( |  | ) | const
| inline

returns true if there is no arrow

Referenced by addTo(), MWAWGraphicShape::getBdBox(), operator<<, and MWAWGraphicStyle::operator<<.

## ◆ operator!=()

bool MWAWGraphicStyle::Arrow::operator!= | ( | Arrow const & | arrow | ) | const
| inline

operator!=

## ◆ operator<()

bool MWAWGraphicStyle::Arrow::operator< | ( | Arrow const & | arrow | ) | const
| inline

operator<

## ◆ operator<=()

bool MWAWGraphicStyle::Arrow::operator<= | ( | Arrow const & | arrow | ) | const
| inline

operator<=

## ◆ operator==()

bool MWAWGraphicStyle::Arrow::operator== | ( | Arrow const & | arrow | ) | const
| inline

operator==

## ◆ operator>()

bool MWAWGraphicStyle::Arrow::operator> | ( | Arrow const & | arrow | ) | const
| inline

operator>

## ◆ operator>=()

bool MWAWGraphicStyle::Arrow::operator>= | ( | Arrow const & | arrow | ) | const
| inline

operator>=

## ◆ plain()

Arrow MWAWGraphicStyle::Arrow::plain | ( |  | ) |
| inlinestatic

returns a basic plain arrow

Referenced by Canvas5Image::getArrow(), Canvas5StyleManager::readArrow(), CanvasStyleManager::readArrow(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), MacDrawProParser::readGeometryShapeData(), ClarisDrawGraph::readGroupDef(), ClarisWksGraph::readGroupDef(), MacDraft5Parser::readObject(), MacDraftParser::readObject(), MacDrawParser::readObject(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), BeagleWksDRParser::readShapeDefinitions(), HanMacWrdKGraph::readShapeGraph(), GreatWksGraph::readStyle(), RagTime5Graph::send(), RagTimeParser::sendBasicPicture(), Canvas5Graph::sendDimension(), CanvasGraph::sendDimension(), Canvas5Graph::sendDimension9(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), DrawTableParser::sendShape(), HanMacWrdJGraph::sendShapeGraph(), and GreatWksGraphInternal::FrameShape::updateStyle().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Arrow const & | arrow )
| friend

operator<<

## Member Data Documentation

## ◆ m_isCentered

bool MWAWGraphicStyle::Arrow::m_isCentered

flag to know if the arrow is centered

Referenced by addTo(), Arrow(), Arrow(), operator<(), operator<<, and operator==().

## ◆ m_path

std::string MWAWGraphicStyle::Arrow::m_path

the arrow path

Referenced by addTo(), Arrow(), Arrow(), isEmpty(), operator<(), operator<<, and operator==().

## ◆ m_viewBox

MWAWBox2i MWAWGraphicStyle::Arrow::m_viewBox

the arrow viewbox

Referenced by addTo(), Arrow(), Arrow(), operator<(), operator<<, and operator==().

## ◆ m_width

float MWAWGraphicStyle::Arrow::m_width

the arrow width in point

Referenced by addTo(), Arrow(), Arrow(), isEmpty(), operator<(), operator<<, operator==(), CanvasGraph::update(), and MacDraft5StyleManager::updateArrows().

The documentation for this struct was generated from the following files:

- MWAWGraphicStyle.hxx
- MWAWGraphicStyle.cxx